# Portals

Use these endpoints to create and view Portals. Portals allow third-party financial institutions to initiate ACH and wire transfers. A Portal consists of a routing and an account number. Multiple Portals can be created for a single Pocket.

## List Pocket Portals

 - [GET /api/v2/pockets/{pocket_id}/portals/](https://docs.jiko.io/products/customer-api/reference/portals/list-pocket-portals-v2.md): This endpoint lists the payment portals associated with a specific Jiko pocket ID.

Returns a PortalListResponse object containing a list of Portal objects.

## Create Account Portal

 - [POST /api/v2/pockets/{pocket_id}/portals/](https://docs.jiko.io/products/customer-api/reference/portals/create-pocket-portal.md): This endpoint creates a new portal for a customer.

## List Customer Portals

 - [GET /api/v2/portals/](https://docs.jiko.io/products/customer-api/reference/portals/list-customer-portals-v2.md): This endpoint lists all portals for the customer. It returns a PortalListResponse object containing a list of Portal objects.

## Get Funding Instructions

 - [GET /api/v2/pockets/{pocket_id}/portals/{portal_id}/funding-instructions/](https://docs.jiko.io/products/customer-api/reference/portals/get-funding-instructions.md)

## Update Account Portal

 - [PATCH /api/v2/pockets/{pocket_id}/portals/{portal_id}/](https://docs.jiko.io/products/customer-api/reference/portals/update-pocket-portal.md): This endpoint updates a portal's name, or closes it by setting its status to CLOSED.

Closing a portal is irreversible; the only accepted value for status is CLOSED.

Returns 204 No Content on success.

